libnjb: Data Fields

Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Examples
All | Variables
_ | c | d | e | f | g | h | i | k | l | m | n | o | p | s | t | u | v | w | x | y

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - _ -

- _state : njb_playlist_struct

### - c -

- count : njb_error_stack_struct
- cur : njb_playlist_struct, njb_songid_struct
- current_value : njb_eax_struct

### - d -

- data : njb_songid_frame_struct
- day : njb_time_struct
- dev : njb_struct
- device : njb_struct
- device_type : njb_struct
- deviceid : njb_keyval_struct
- dfid : njb_datafile_struct

### - e -

- error_stack : njb_struct
- exclusive : njb_eax_struct

### - f -

- filename : njb_datafile_struct
- filesize : njb_datafile_struct
- first : njb_playlist_struct, njb_songid_struct
- flags : njb_datafile_struct
- folder : njb_datafile_struct

### - g -

- group : njb_eax_struct

### - h -

- hours : njb_time_struct

### - i -

- idx : njb_error_stack_struct

### - k -

- key : njb_keyval_struct

### - l -

- label : njb_songid_frame_struct
- last : njb_playlist_struct, njb_songid_struct

### - m -

- max_value : njb_eax_struct
- min_value : njb_eax_struct
- minutes : njb_time_struct
- month : njb_time_struct
- msg : njb_error_stack_struct

### - n -

- name : njb_eax_struct, njb_playlist_struct
- next : njb_keyval_struct, njb_eax_struct, njb_playlist_track_struct, njb_songid_struct, njb_songid_frame_struct
- nextdf : njb_datafile_struct
- nextpl : njb_playlist_struct
- nframes : njb_songid_struct
- ntracks : njb_playlist_struct
- number : njb_eax_struct

### - o -

- option_names : njb_eax_struct

### - p -

- plid : njb_playlist_struct
- prev : njb_playlist_track_struct
- protocol_state : njb_struct

### - s -

- seconds : njb_time_struct
- strval : njb_songid_frame_struct

### - t -

- timestamp : njb_datafile_struct
- trackid : njb_playlist_track_struct
- trid : njb_songid_struct
- type : njb_eax_struct, njb_songid_frame_struct

### - u -

- u_int16_val : njb_songid_frame_struct
- u_int32_val : njb_songid_frame_struct
- u_int64_val : njb_songid_frame_struct
- u_int8_val : njb_songid_frame_struct
- updated : njb_struct
- usb_bulk_in_ep : njb_struct
- usb_bulk_out_ep : njb_struct
- usb_config : njb_struct
- usb_interface : njb_struct

### - v -

- value1 : njb_keyval_struct
- value2 : njb_keyval_struct

### - w -

- weekday : njb_time_struct

### - x -

- xfersize : njb_struct

### - y -

- year : njb_time_struct